#version 430 core
layout(location = 0) in vec3 position;

uniform mat4 modelMatrix;
uniform mat4 lightSpaceMatrix;

out vec4 FragPos;

void main()
{
    FragPos = modelMatrix * vec4(position, 1.0);
    gl_Position = lightSpaceMatrix * modelMatrix * vec4(position, 1.0);
}